Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.block.material
Class MaterialLiquid

    java.lang.Object
      net.minecraft.block.material.Material
          net.minecraft.block.material.MaterialLiquid

    public class MaterialLiquid

extends Material

Field Summary

Fields inherited from class net.minecraft.block.material.Material
`air, anvil, cactus, cake, circuits, clay, cloth, craftedSnow, dragonEgg, field_76261_t, fire, glass, grass, ground, ice, iron, lava, leaves, materialMapColor, piston, plants, portal, pumpkin, redstoneLight, rock, sand, snow, sponge, tnt, vine, water, web, wood`

Constructor Summary
`MaterialLiquid(MapColor par1MapColor)`

Method Summary
`boolean` | `blocksMovement()` Returns if this material is considered solid or not
`boolean` | `isLiquid()` Returns if blocks of these materials are liquids.
`boolean` | `isSolid()`

Methods inherited from class net.minecraft.block.material.Material
`func_85157_q, getCanBlockGrass, getCanBurn, getMaterialMobility, isOpaque, isReplaceable, isToolNotRequired, setReplaceable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaterialLiquid

    public MaterialLiquid(MapColor par1MapColor)

Method Detail

### isLiquid

    public boolean isLiquid()

  Returns if blocks of these materials are liquids.

  Overrides:
    `isLiquid` in class `Material`

### blocksMovement

    public boolean blocksMovement()

  Returns if this material is considered solid or not

  Overrides:
    `blocksMovement` in class `Material`

### isSolid

    public boolean isSolid()

  Overrides:
    `isSolid` in class `Material`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD